# misc-tools

Various tools for miscellaneous use.

### Python Web Server

I have included a simple Python web server to the toolset. In time, I would like to make it more customizable. For now, it will just print the familiar "Hello, World" message. It was designed to have an application I could use for stack development work.

```bash
$ python-web-server -h
usage: python-web-server [-h] [-i IP_ADDRESS] [-p PORT] [-d DEBUG]

optional arguments:
  -h, --help            show this help message and exit
  -i IP_ADDRESS, --ip-address IP_ADDRESS
                        IP Address to bind the server
  -p PORT, --port PORT  Port on which to listen for traffic
  -d DEBUG, --debug DEBUG
                        Run in debug mode
```

### Fake Logs

This small script will generate log files to a filename provided. The delay is 1/*n*-th of a second to give it more of a real-time approach to logging, if timing is important.

```bash
$ fake-logs --help
usage: fake-logs [-h] [-d DELAY] file

positional arguments:
  file                  Full path for log file

optional arguments:
  -h, --help            show this help message and exit
  -d DELAY, --delay DELAY
                        Number to delay log entries (1/n)
```

